blob: 2a52e15d0fe7f643881a652dca67592b884f5bd5 [file] [log] [blame]
Tom Rinid2244b92019-06-19 09:25:17 -04001# SPDX-License-Identifier: GPL-2.0+
2
Peter Hoyesb0722af2023-03-10 09:53:02 +00003variables:
4 DEFAULT_TAG: ""
Peter Hoyes08ed84e2023-03-10 09:53:03 +00005 MIRROR_DOCKER: docker.io
Peter Hoyesb0722af2023-03-10 09:53:02 +00006
7default:
8 tags:
9 - ${DEFAULT_TAG}
10
Joel Stanleyb97c1d42022-08-23 16:18:26 +100011# Grab our configured image. The source for this is found
12# in the u-boot tree at tools/docker/Dockerfile
Tom Rinie0c84c82024-08-21 09:41:20 -060013image: ${MIRROR_DOCKER}/trini/u-boot-gitlab-ci-runner:jammy-20240808-21Aug2024
Tom Rinid2244b92019-06-19 09:25:17 -040014
15# We run some tests in different order, to catch some failures quicker.
16stages:
Tom Rinid2244b92019-06-19 09:25:17 -040017 - testsuites
Tom Rini1cdb1822019-07-24 13:09:31 -040018 - test.py
Tom Rinid2244b92019-06-19 09:25:17 -040019 - world build
20
21.buildman_and_testpy_template: &buildman_and_testpy_dfn
Tom Rinid2244b92019-06-19 09:25:17 -040022 stage: test.py
Tom Rini6acc0192023-07-11 22:33:03 -040023 retry: 2 # QEMU may be too slow, etc.
Andrejs Cainikovsb4453552023-09-13 16:15:36 +020024 rules:
25 - when: always
Tom Rinid2244b92019-06-19 09:25:17 -040026 before_script:
27 # Clone uboot-test-hooks
Tom Rinie0f979b2022-11-21 12:52:40 -050028 - git config --global --add safe.directory "${CI_PROJECT_DIR}"
Tom Rini2a1df582021-02-24 17:05:04 -050029 - git clone --depth=1 https://source.denx.de/u-boot/u-boot-test-hooks /tmp/uboot-test-hooks
Tom Rinid2244b92019-06-19 09:25:17 -040030 - ln -s travis-ci /tmp/uboot-test-hooks/bin/`hostname`
31 - ln -s travis-ci /tmp/uboot-test-hooks/py/`hostname`
Tom Rini6ad26042019-10-04 12:12:54 -040032 - grub-mkimage --prefix="" -o ~/grub_x86.efi -O i386-efi normal echo lsefimmap lsefi lsefisystab efinet tftp minicmd
33 - grub-mkimage --prefix="" -o ~/grub_x64.efi -O x86_64-efi normal echo lsefimmap lsefi lsefisystab efinet tftp minicmd
Bin Mengb68d9d62020-03-28 07:25:29 -070034 - if [[ "${TEST_PY_BD}" == "qemu-riscv32_spl" ]]; then
Heinrich Schuchardt29999e42023-10-25 00:15:43 +020035 wget -O - https://github.com/riscv-software-src/opensbi/releases/download/v1.3.1/opensbi-1.3.1-rv-bin.tar.xz | tar -C /tmp -xJ;
36 export OPENSBI=/tmp/opensbi-1.3.1-rv-bin/share/opensbi/ilp32/generic/firmware/fw_dynamic.bin;
Bin Mengb68d9d62020-03-28 07:25:29 -070037 fi
Bin Meng0ae41062021-08-26 23:33:35 +080038 - if [[ "${TEST_PY_BD}" == "qemu-riscv64_spl" ]] || [[ "${TEST_PY_BD}" == "sifive_unleashed" ]]; then
Heinrich Schuchardt29999e42023-10-25 00:15:43 +020039 wget -O - https://github.com/riscv-software-src/opensbi/releases/download/v1.3.1/opensbi-1.3.1-rv-bin.tar.xz | tar -C /tmp -xJ;
40 export OPENSBI=/tmp/opensbi-1.3.1-rv-bin/share/opensbi/lp64/generic/firmware/fw_dynamic.bin;
Bin Mengb68d9d62020-03-28 07:25:29 -070041 fi
Tom Rini1cdb1822019-07-24 13:09:31 -040042
Tom Rinid2244b92019-06-19 09:25:17 -040043 after_script:
Tom Rini792dbc32024-06-27 07:43:20 -060044 - cp -v /tmp/${TEST_PY_BD}/*.{html,css,xml} .
Heinrich Schuchardt159b0ab2019-12-19 13:30:32 +010045 - rm -rf /tmp/uboot-test-hooks /tmp/venv
Tom Rinid2244b92019-06-19 09:25:17 -040046 script:
Simon Glassda499352020-03-18 09:42:57 -060047 # If we've been asked to use clang only do one configuration.
Simon Glass28d83e72020-03-18 09:42:55 -060048 - export UBOOT_TRAVIS_BUILD_DIR=/tmp/${TEST_PY_BD}
Simon Glass2e32f5d2022-08-03 12:13:09 -060049 - echo BUILD_ENV ${BUILD_ENV}
Simon Glassc2f01902023-01-15 14:16:00 -070050 - if [ -n "${BUILD_ENV}" ]; then
51 export ${BUILD_ENV};
52 fi
Simon Glass87c80462020-03-18 09:43:00 -060053 - tools/buildman/buildman -o ${UBOOT_TRAVIS_BUILD_DIR} -w -E -W -e
54 --board ${TEST_PY_BD} ${OVERRIDE}
Heinrich Schuchardtba0ae212020-07-14 00:23:58 +020055 - cp ~/grub_x86.efi $UBOOT_TRAVIS_BUILD_DIR/
56 - cp ~/grub_x64.efi $UBOOT_TRAVIS_BUILD_DIR/
57 - cp /opt/grub/grubriscv64.efi $UBOOT_TRAVIS_BUILD_DIR/grub_riscv64.efi
Heinrich Schuchardtba0ae212020-07-14 00:23:58 +020058 - cp /opt/grub/grubaa64.efi $UBOOT_TRAVIS_BUILD_DIR/grub_arm64.efi
59 - cp /opt/grub/grubarm.efi $UBOOT_TRAVIS_BUILD_DIR/grub_arm.efi
Bin Meng0ae41062021-08-26 23:33:35 +080060 # create sdcard / spi-nor images for sifive unleashed using genimage
61 - if [[ "${TEST_PY_BD}" == "sifive_unleashed" ]]; then
62 mkdir -p root;
63 cp ${UBOOT_TRAVIS_BUILD_DIR}/spl/u-boot-spl.bin .;
64 cp ${UBOOT_TRAVIS_BUILD_DIR}/u-boot.itb .;
65 rm -rf tmp;
66 genimage --inputpath . --config board/sifive/unleashed/genimage_sdcard.cfg;
67 cp images/sdcard.img ${UBOOT_TRAVIS_BUILD_DIR}/;
68 rm -rf tmp;
69 genimage --inputpath . --config board/sifive/unleashed/genimage_spi-nor.cfg;
70 cp images/spi-nor.img ${UBOOT_TRAVIS_BUILD_DIR}/;
71 fi
Simon Glass13e1fa02022-01-21 10:23:01 -070072 - if [[ "${TEST_PY_BD}" == "coreboot" ]]; then
Tom Rinid0296f62024-02-13 09:39:27 -050073 cp /opt/coreboot/coreboot.rom ${UBOOT_TRAVIS_BUILD_DIR}/coreboot.rom;
74 /opt/coreboot/cbfstool ${UBOOT_TRAVIS_BUILD_DIR}/coreboot.rom remove -n fallback/payload;
75 /opt/coreboot/cbfstool ${UBOOT_TRAVIS_BUILD_DIR}/coreboot.rom add-flat-binary -f ${UBOOT_TRAVIS_BUILD_DIR}/u-boot.bin -n fallback/payload -c LZMA -l 0x1110000 -e 0x1110000;
Simon Glass13e1fa02022-01-21 10:23:01 -070076 fi
Tom Riniebcd2142019-10-24 11:59:27 -040077 - virtualenv -p /usr/bin/python3 /tmp/venv
78 - . /tmp/venv/bin/activate
79 - pip install -r test/py/requirements.txt
Simon Glass2600f7e2020-03-18 09:42:56 -060080 # "${var:+"-k $var"}" expands to "" if $var is empty, "-k $var" if not
Simon Glass28d83e72020-03-18 09:42:55 -060081 - export PATH=/opt/qemu/bin:/tmp/uboot-test-hooks/bin:${PATH};
Tom Rinid2244b92019-06-19 09:25:17 -040082 export PYTHONPATH=/tmp/uboot-test-hooks/py/travis-ci;
Heinrich Schuchardt2a3ec0a2020-07-10 22:04:40 +020083 ./test/py/test.py -ra --bd ${TEST_PY_BD} ${TEST_PY_ID}
Simon Glass2600f7e2020-03-18 09:42:56 -060084 ${TEST_PY_TEST_SPEC:+"-k ${TEST_PY_TEST_SPEC}"}
Simon Glassfd0c59b2020-03-18 09:42:59 -060085 --build-dir "$UBOOT_TRAVIS_BUILD_DIR"
Tom Rini792dbc32024-06-27 07:43:20 -060086 --junitxml=/tmp/${TEST_PY_BD}/results.xml
Marek Vasutc1a44de2023-03-03 02:22:25 +010087 artifacts:
88 when: always
89 paths:
90 - "*.html"
91 - "*.css"
Tom Rini792dbc32024-06-27 07:43:20 -060092 reports:
93 junit: results.xml
Marek Vasutc1a44de2023-03-03 02:22:25 +010094 expire_in: 1 week
Tom Rinid2244b92019-06-19 09:25:17 -040095
Andrejs Cainikovsb4453552023-09-13 16:15:36 +020096.world_build:
Tom Rinid2244b92019-06-19 09:25:17 -040097 stage: world build
Andrejs Cainikovsb4453552023-09-13 16:15:36 +020098 rules:
99 - when: always
100
101build all 32bit ARM platforms:
102 extends: .world_build
Tom Rinid2244b92019-06-19 09:25:17 -0400103 script:
104 - ret=0;
Tom Rinie0f979b2022-11-21 12:52:40 -0500105 git config --global --add safe.directory "${CI_PROJECT_DIR}";
Tom Rini95f1c6cb2023-07-22 00:14:46 +0530106 pip install -r tools/buildman/requirements.txt;
Tom Rini93ebd462022-11-09 19:14:53 -0700107 ./tools/buildman/buildman -o /tmp -PEWM arm -x aarch64 || ret=$?;
Simon Glassda499352020-03-18 09:42:57 -0600108 if [[ $ret -ne 0 ]]; then
Simon Glassad8eaed2020-03-18 09:42:53 -0600109 ./tools/buildman/buildman -o /tmp -seP;
Tom Rini70c63a52019-10-24 11:59:16 -0400110 exit $ret;
111 fi;
Tom Rini372c6972019-07-17 17:51:28 -0400112
Heinrich Schuchardt8e8e1cc2019-10-06 12:26:16 +0200113build all 64bit ARM platforms:
Andrejs Cainikovsb4453552023-09-13 16:15:36 +0200114 extends: .world_build
Tom Rini372c6972019-07-17 17:51:28 -0400115 script:
Tom Rini6c883102020-02-11 12:41:14 -0500116 - virtualenv -p /usr/bin/python3 /tmp/venv
Tom Rini7faea832019-07-18 07:28:36 -0400117 - . /tmp/venv/bin/activate
Tom Rini372c6972019-07-17 17:51:28 -0400118 - ret=0;
Tom Rinie0f979b2022-11-21 12:52:40 -0500119 git config --global --add safe.directory "${CI_PROJECT_DIR}";
Tom Rini95f1c6cb2023-07-22 00:14:46 +0530120 pip install -r tools/buildman/requirements.txt;
Tom Rini93ebd462022-11-09 19:14:53 -0700121 ./tools/buildman/buildman -o /tmp -PEWM aarch64 || ret=$?;
Simon Glassda499352020-03-18 09:42:57 -0600122 if [[ $ret -ne 0 ]]; then
Simon Glassad8eaed2020-03-18 09:42:53 -0600123 ./tools/buildman/buildman -o /tmp -seP;
Tom Rini70c63a52019-10-24 11:59:16 -0400124 exit $ret;
125 fi;
Tom Rini372c6972019-07-17 17:51:28 -0400126
Heinrich Schuchardt8e8e1cc2019-10-06 12:26:16 +0200127build all PowerPC platforms:
Andrejs Cainikovsb4453552023-09-13 16:15:36 +0200128 extends: .world_build
Tom Rini372c6972019-07-17 17:51:28 -0400129 script:
130 - ret=0;
Tom Rinie0f979b2022-11-21 12:52:40 -0500131 git config --global --add safe.directory "${CI_PROJECT_DIR}";
Simon Glassda499352020-03-18 09:42:57 -0600132 ./tools/buildman/buildman -o /tmp -P -E -W powerpc || ret=$?;
133 if [[ $ret -ne 0 ]]; then
Simon Glassad8eaed2020-03-18 09:42:53 -0600134 ./tools/buildman/buildman -o /tmp -seP;
Tom Rini70c63a52019-10-24 11:59:16 -0400135 exit $ret;
136 fi;
Tom Rini372c6972019-07-17 17:51:28 -0400137
Heinrich Schuchardt8e8e1cc2019-10-06 12:26:16 +0200138build all other platforms:
Andrejs Cainikovsb4453552023-09-13 16:15:36 +0200139 extends: .world_build
Tom Rini372c6972019-07-17 17:51:28 -0400140 script:
141 - ret=0;
Tom Rinie0f979b2022-11-21 12:52:40 -0500142 git config --global --add safe.directory "${CI_PROJECT_DIR}";
Tom Rini93ebd462022-11-09 19:14:53 -0700143 ./tools/buildman/buildman -o /tmp -PEWM -x arm,powerpc || ret=$?;
Simon Glassda499352020-03-18 09:42:57 -0600144 if [[ $ret -ne 0 ]]; then
Simon Glassad8eaed2020-03-18 09:42:53 -0600145 ./tools/buildman/buildman -o /tmp -seP;
Tom Rini70c63a52019-10-24 11:59:16 -0400146 exit $ret;
147 fi;
Tom Rinid2244b92019-06-19 09:25:17 -0400148
Andrejs Cainikovsb4453552023-09-13 16:15:36 +0200149.testsuites:
Tom Rinibdfa3762021-12-14 13:36:41 -0500150 stage: testsuites
Andrejs Cainikovsb4453552023-09-13 16:15:36 +0200151 rules:
152 - when: always
153
154check for new CONFIG symbols outside Kconfig:
155 extends: .testsuites
Tom Rinibdfa3762021-12-14 13:36:41 -0500156 script:
Tom Rini1cc7e4c2022-12-04 10:14:15 -0500157 - git config --global --add safe.directory "${CI_PROJECT_DIR}"
158 # If grep succeeds and finds a match the test fails as we should
159 # have no matches.
160 - git grep -E '^#[[:blank:]]*(define|undef)[[:blank:]]*CONFIG_'
Tom Rini8f7345c2023-01-10 11:19:46 -0500161 :^doc/ :^arch/arm/dts/ :^scripts/kconfig/lkc.h
Raymond Maodc520542024-10-03 14:50:14 -0700162 :^include/linux/kconfig.h :^tools/ :^dts/upstream/
163 :^lib/mbedtls/external :^lib/mbedtls/mbedtls_def_config.h &&
Sumit Garg8d814682024-02-22 15:05:57 +0530164 exit 1 || exit 0
Tom Rinibdfa3762021-12-14 13:36:41 -0500165
Heinrich Schuchardt54de2412023-01-12 20:30:58 +0100166# build documentation
167docs:
Andrejs Cainikovsb4453552023-09-13 16:15:36 +0200168 extends: .testsuites
Heinrich Schuchardtbccdb652020-02-21 18:24:01 +0100169 script:
Heinrich Schuchardt846abe42021-01-25 22:06:25 +0100170 - virtualenv -p /usr/bin/python3 /tmp/venvhtml
171 - . /tmp/venvhtml/bin/activate
172 - pip install -r doc/sphinx/requirements.txt
Heinrich Schuchardt2e0c8e62023-05-02 05:04:11 +0200173 - make htmldocs KDOC_WERROR=1
Heinrich Schuchardt54de2412023-01-12 20:30:58 +0100174 - make infodocs
Heinrich Schuchardtbccdb652020-02-21 18:24:01 +0100175
Tom Rinid2244b92019-06-19 09:25:17 -0400176# ensure all configs have MAINTAINERS entries
177Check for configs without MAINTAINERS entry:
Andrejs Cainikovsb4453552023-09-13 16:15:36 +0200178 extends: .testsuites
Tom Rinid2244b92019-06-19 09:25:17 -0400179 script:
Tom Rinica00ac62023-10-23 11:37:47 -0400180 - ./tools/buildman/buildman --maintainer-check
Tom Rinid2244b92019-06-19 09:25:17 -0400181
182# Ensure host tools build
Tom Rini8244f002023-08-20 13:31:28 -0400183Build tools-only and envtools:
Andrejs Cainikovsb4453552023-09-13 16:15:36 +0200184 extends: .testsuites
Tom Rinid2244b92019-06-19 09:25:17 -0400185 script:
Tom Rini8244f002023-08-20 13:31:28 -0400186 - make tools-only_config tools-only -j$(nproc);
187 make mrproper;
188 make tools-only_config envtools -j$(nproc)
Pierre-Jean Texier6812f5e2019-08-26 13:06:18 +0200189
Tom Rini0b3e0c42020-03-11 18:11:15 -0400190Run binman, buildman, dtoc, Kconfig and patman testsuites:
Andrejs Cainikovsb4453552023-09-13 16:15:36 +0200191 extends: .testsuites
Tom Rinid2244b92019-06-19 09:25:17 -0400192 script:
Tom Rini0b6e1032019-08-12 10:09:08 -0400193 - git config --global user.name "GitLab CI Runner";
194 git config --global user.email trini@konsulko.com;
Tom Rinid1ed4462022-08-09 21:08:54 -0400195 git config --global --add safe.directory "${CI_PROJECT_DIR}";
Tom Rini0b6e1032019-08-12 10:09:08 -0400196 export USER=gitlab;
Tom Rini6c883102020-02-11 12:41:14 -0500197 virtualenv -p /usr/bin/python3 /tmp/venv;
Tom Rini0b6e1032019-08-12 10:09:08 -0400198 . /tmp/venv/bin/activate;
Tom Rini70c66dd2021-02-26 07:52:29 -0500199 pip install -r test/py/requirements.txt;
Tom Rini95f1c6cb2023-07-22 00:14:46 +0530200 pip install -r tools/buildman/requirements.txt;
Tom Rini08086922023-08-10 12:52:24 -0400201 export UBOOT_TRAVIS_BUILD_DIR=/tmp/tools-only;
Tom Rini0b6e1032019-08-12 10:09:08 -0400202 export PYTHONPATH="${UBOOT_TRAVIS_BUILD_DIR}/scripts/dtc/pylibfdt";
203 export PATH="${UBOOT_TRAVIS_BUILD_DIR}/scripts/dtc:${PATH}";
Tom Rinid1ed4462022-08-09 21:08:54 -0400204 set +e;
Simon Glass492f0b02021-03-15 17:25:34 +1300205 ./tools/buildman/buildman -T0 -o ${UBOOT_TRAVIS_BUILD_DIR} -w
Tom Rini08086922023-08-10 12:52:24 -0400206 --board tools-only;
Tom Rinid1ed4462022-08-09 21:08:54 -0400207 set -e;
Tom Rini0b6e1032019-08-12 10:09:08 -0400208 ./tools/binman/binman --toolpath ${UBOOT_TRAVIS_BUILD_DIR}/tools test;
209 ./tools/buildman/buildman -t;
210 ./tools/dtoc/dtoc -t;
Simon Glass109e84e2020-07-05 21:41:55 -0600211 ./tools/patman/patman test;
Tom Rini0b3e0c42020-03-11 18:11:15 -0400212 make testconfig
Tom Rinid2244b92019-06-19 09:25:17 -0400213
Simon Glassf6903262022-02-11 13:23:26 -0700214# Check for any pylint regressions
215Run pylint:
Andrejs Cainikovsb4453552023-09-13 16:15:36 +0200216 extends: .testsuites
Simon Glassf6903262022-02-11 13:23:26 -0700217 script:
Tom Rinid1ed4462022-08-09 21:08:54 -0400218 - git config --global --add safe.directory "${CI_PROJECT_DIR}"
Simon Glassf6903262022-02-11 13:23:26 -0700219 - pip install -r test/py/requirements.txt
Tom Rini95f1c6cb2023-07-22 00:14:46 +0530220 - pip install -r tools/buildman/requirements.txt
Tom Rini090ff812022-03-25 08:19:09 -0400221 - pip install asteval pylint==2.12.2 pyopenssl
Simon Glassf6903262022-02-11 13:23:26 -0700222 - export PATH=${PATH}:~/.local/bin
223 - echo "[MASTER]" >> .pylintrc
224 - echo "load-plugins=pylint.extensions.docparams" >> .pylintrc
Tom Rini08086922023-08-10 12:52:24 -0400225 - export UBOOT_TRAVIS_BUILD_DIR=/tmp/tools-only
Tom Rinid1ed4462022-08-09 21:08:54 -0400226 - set +e
Simon Glassf6903262022-02-11 13:23:26 -0700227 - ./tools/buildman/buildman -T0 -o ${UBOOT_TRAVIS_BUILD_DIR} -w
Tom Rini08086922023-08-10 12:52:24 -0400228 --board tools-only
Tom Rinid1ed4462022-08-09 21:08:54 -0400229 - set -e
Simon Glassf6903262022-02-11 13:23:26 -0700230 - pylint --version
231 - export PYTHONPATH="${UBOOT_TRAVIS_BUILD_DIR}/scripts/dtc/pylibfdt"
232 - make pylint_err
233
Simon Glassf96763a2023-02-13 08:56:39 -0700234# Check for pre-schema driver model tags
235Check for pre-schema tags:
Andrejs Cainikovsb4453552023-09-13 16:15:36 +0200236 extends: .testsuites
Simon Glassf96763a2023-02-13 08:56:39 -0700237 script:
238 - git config --global --add safe.directory "${CI_PROJECT_DIR}";
239 # If grep succeeds and finds a match the test fails as we should
240 # have no matches.
241 - git grep u-boot,dm- -- '*.dts*' && exit 1 || exit 0
242
Simon Glass5dd13b92023-02-23 18:18:24 -0700243# Check we can package the Python tools
244Check packing of Python tools:
Andrejs Cainikovsb4453552023-09-13 16:15:36 +0200245 extends: .testsuites
Simon Glass5dd13b92023-02-23 18:18:24 -0700246 script:
247 - make pip
248
Tom Rinid2244b92019-06-19 09:25:17 -0400249# Test sandbox with test.py
250sandbox test.py:
Tom Rinid2244b92019-06-19 09:25:17 -0400251 variables:
252 TEST_PY_BD: "sandbox"
Tom Rinid2244b92019-06-19 09:25:17 -0400253 <<: *buildman_and_testpy_dfn
254
Tom Rini99a1bb32019-11-06 19:30:47 -0500255sandbox with clang test.py:
Tom Rini99a1bb32019-11-06 19:30:47 -0500256 variables:
257 TEST_PY_BD: "sandbox"
Tom Rinie752a3a2024-03-10 15:59:28 -0400258 OVERRIDE: "-O clang-17"
Tom Rini99a1bb32019-11-06 19:30:47 -0500259 <<: *buildman_and_testpy_dfn
260
Marek Vasut36bdb592023-09-01 10:48:10 +0200261sandbox64 test.py:
262 variables:
263 TEST_PY_BD: "sandbox64"
264 <<: *buildman_and_testpy_dfn
265
266sandbox64 with clang test.py:
267 variables:
268 TEST_PY_BD: "sandbox64"
Tom Rinie752a3a2024-03-10 15:59:28 -0400269 OVERRIDE: "-O clang-17"
Marek Vasut36bdb592023-09-01 10:48:10 +0200270 <<: *buildman_and_testpy_dfn
271
Tom Rinid2244b92019-06-19 09:25:17 -0400272sandbox_spl test.py:
Tom Rinid2244b92019-06-19 09:25:17 -0400273 variables:
274 TEST_PY_BD: "sandbox_spl"
Simon Glass36a69e12020-10-25 20:38:36 -0600275 TEST_PY_TEST_SPEC: "test_ofplatdata or test_handoff or test_spl"
Tom Rinid2244b92019-06-19 09:25:17 -0400276 <<: *buildman_and_testpy_dfn
277
Simon Glass492f0b02021-03-15 17:25:34 +1300278sandbox_noinst_test.py:
Simon Glass492f0b02021-03-15 17:25:34 +1300279 variables:
280 TEST_PY_BD: "sandbox_noinst"
281 TEST_PY_TEST_SPEC: "test_ofplatdata or test_handoff or test_spl"
282 <<: *buildman_and_testpy_dfn
283
Sean Andersonf65dcc02023-10-14 16:47:59 -0400284sandbox_noinst with LOAD_FIT_FULL test.py:
285 variables:
286 TEST_PY_BD: "sandbox_noinst"
287 TEST_PY_TEST_SPEC: "test_ofplatdata or test_handoff or test_spl"
288 OVERRIDE: "-a CONFIG_SPL_LOAD_FIT_FULL=y"
289 <<: *buildman_and_testpy_dfn
290
Simon Glassa2a4eea2022-04-30 00:56:57 -0600291sandbox_vpl test.py:
292 variables:
293 TEST_PY_BD: "sandbox_vpl"
Simon Glass4e5e7f42023-04-02 14:01:26 +1200294 TEST_PY_TEST_SPEC: "vpl or test_spl"
Simon Glassa2a4eea2022-04-30 00:56:57 -0600295 <<: *buildman_and_testpy_dfn
296
Simon Glassc2f01902023-01-15 14:16:00 -0700297# Enable tracing and disable LTO, to ensure functions are not elided
298sandbox trace_test.py:
299 variables:
300 TEST_PY_BD: "sandbox"
301 BUILD_ENV: "FTRACE=1 NO_LTO=1"
302 TEST_PY_TEST_SPEC: "trace"
Sughosh Ganu0c3783e2023-08-22 23:10:02 +0530303 OVERRIDE: "-a CONFIG_TRACE=y -a CONFIG_TRACE_EARLY=y -a CONFIG_TRACE_EARLY_SIZE=0x01000000 -a CONFIG_TRACE_BUFFER_SIZE=0x02000000"
Simon Glassc2f01902023-01-15 14:16:00 -0700304 <<: *buildman_and_testpy_dfn
305
Tom Rini0008b882019-07-17 16:06:57 -0400306evb-ast2500 test.py:
Tom Rini0008b882019-07-17 16:06:57 -0400307 variables:
308 TEST_PY_BD: "evb-ast2500"
309 TEST_PY_ID: "--id qemu"
Tom Rini0008b882019-07-17 16:06:57 -0400310 <<: *buildman_and_testpy_dfn
311
Joel Stanley3f21e1b2022-06-29 16:35:25 +0930312evb-ast2600 test.py:
313 variables:
314 TEST_PY_BD: "evb-ast2600"
315 TEST_PY_ID: "--id qemu"
316 <<: *buildman_and_testpy_dfn
317
Tom Rinid2244b92019-06-19 09:25:17 -0400318sandbox_flattree test.py:
Tom Rinid2244b92019-06-19 09:25:17 -0400319 variables:
320 TEST_PY_BD: "sandbox_flattree"
Tom Rinid2244b92019-06-19 09:25:17 -0400321 <<: *buildman_and_testpy_dfn
322
Kristian Amlie8f8a2992021-09-07 08:37:51 +0200323vexpress_ca9x4 test.py:
324 variables:
325 TEST_PY_BD: "vexpress_ca9x4"
326 TEST_PY_ID: "--id qemu"
327 <<: *buildman_and_testpy_dfn
328
Tom Rinid2244b92019-06-19 09:25:17 -0400329integratorcp_cm926ejs test.py:
Tom Rinid2244b92019-06-19 09:25:17 -0400330 variables:
331 TEST_PY_BD: "integratorcp_cm926ejs"
332 TEST_PY_TEST_SPEC: "not sleep"
333 TEST_PY_ID: "--id qemu"
Tom Rinid2244b92019-06-19 09:25:17 -0400334 <<: *buildman_and_testpy_dfn
335
336qemu_arm test.py:
Tom Rinid2244b92019-06-19 09:25:17 -0400337 variables:
338 TEST_PY_BD: "qemu_arm"
339 TEST_PY_TEST_SPEC: "not sleep"
Tom Rinid2244b92019-06-19 09:25:17 -0400340 <<: *buildman_and_testpy_dfn
341
342qemu_arm64 test.py:
Tom Rinid2244b92019-06-19 09:25:17 -0400343 variables:
344 TEST_PY_BD: "qemu_arm64"
345 TEST_PY_TEST_SPEC: "not sleep"
Tom Rinid2244b92019-06-19 09:25:17 -0400346 <<: *buildman_and_testpy_dfn
347
Marek Vasut07240eb2023-03-23 01:22:41 +0100348qemu_m68k test.py:
349 variables:
350 TEST_PY_BD: "M5208EVBE"
351 TEST_PY_ID: "--id qemu"
352 TEST_PY_TEST_SPEC: "not sleep and not efi"
353 OVERRIDE: "-a CONFIG_M68K_QEMU=y -a ~CONFIG_MCFTMR"
354 <<: *buildman_and_testpy_dfn
355
Daniel Schwierzeck744af392020-06-06 22:21:47 +0200356qemu_malta test.py:
Daniel Schwierzeck744af392020-06-06 22:21:47 +0200357 variables:
358 TEST_PY_BD: "malta"
359 TEST_PY_TEST_SPEC: "not sleep and not efi"
360 TEST_PY_ID: "--id qemu"
361 <<: *buildman_and_testpy_dfn
362
363qemu_maltael test.py:
Daniel Schwierzeck744af392020-06-06 22:21:47 +0200364 variables:
365 TEST_PY_BD: "maltael"
366 TEST_PY_TEST_SPEC: "not sleep and not efi"
367 TEST_PY_ID: "--id qemu"
368 <<: *buildman_and_testpy_dfn
369
370qemu_malta64 test.py:
Daniel Schwierzeck744af392020-06-06 22:21:47 +0200371 variables:
372 TEST_PY_BD: "malta64"
373 TEST_PY_TEST_SPEC: "not sleep and not efi"
374 TEST_PY_ID: "--id qemu"
375 <<: *buildman_and_testpy_dfn
376
377qemu_malta64el test.py:
Daniel Schwierzeck744af392020-06-06 22:21:47 +0200378 variables:
379 TEST_PY_BD: "malta64el"
380 TEST_PY_TEST_SPEC: "not sleep and not efi"
381 TEST_PY_ID: "--id qemu"
382 <<: *buildman_and_testpy_dfn
383
Tom Rinid2244b92019-06-19 09:25:17 -0400384qemu-ppce500 test.py:
Tom Rinid2244b92019-06-19 09:25:17 -0400385 variables:
386 TEST_PY_BD: "qemu-ppce500"
387 TEST_PY_TEST_SPEC: "not sleep"
Tom Rinid2244b92019-06-19 09:25:17 -0400388 <<: *buildman_and_testpy_dfn
389
Bin Mengaeb3ea42020-03-28 07:25:27 -0700390qemu-riscv32 test.py:
Bin Mengaeb3ea42020-03-28 07:25:27 -0700391 variables:
392 TEST_PY_BD: "qemu-riscv32"
393 TEST_PY_TEST_SPEC: "not sleep"
Bin Mengaeb3ea42020-03-28 07:25:27 -0700394 <<: *buildman_and_testpy_dfn
395
Tom Rinic8c320e2019-08-02 11:32:37 -0400396qemu-riscv64 test.py:
Tom Rinic8c320e2019-08-02 11:32:37 -0400397 variables:
398 TEST_PY_BD: "qemu-riscv64"
399 TEST_PY_TEST_SPEC: "not sleep"
Tom Rinic8c320e2019-08-02 11:32:37 -0400400 <<: *buildman_and_testpy_dfn
401
Bin Mengb68d9d62020-03-28 07:25:29 -0700402qemu-riscv32_spl test.py:
Bin Mengb68d9d62020-03-28 07:25:29 -0700403 variables:
404 TEST_PY_BD: "qemu-riscv32_spl"
405 TEST_PY_TEST_SPEC: "not sleep"
Bin Mengb68d9d62020-03-28 07:25:29 -0700406 <<: *buildman_and_testpy_dfn
407
408qemu-riscv64_spl test.py:
Bin Mengb68d9d62020-03-28 07:25:29 -0700409 variables:
410 TEST_PY_BD: "qemu-riscv64_spl"
411 TEST_PY_TEST_SPEC: "not sleep"
Bin Mengb68d9d62020-03-28 07:25:29 -0700412 <<: *buildman_and_testpy_dfn
413
Tom Rinid2244b92019-06-19 09:25:17 -0400414qemu-x86 test.py:
Tom Rinid2244b92019-06-19 09:25:17 -0400415 variables:
416 TEST_PY_BD: "qemu-x86"
417 TEST_PY_TEST_SPEC: "not sleep"
Tom Rinid2244b92019-06-19 09:25:17 -0400418 <<: *buildman_and_testpy_dfn
419
420qemu-x86_64 test.py:
Tom Rinid2244b92019-06-19 09:25:17 -0400421 variables:
422 TEST_PY_BD: "qemu-x86_64"
423 TEST_PY_TEST_SPEC: "not sleep"
Tom Rinid2244b92019-06-19 09:25:17 -0400424 <<: *buildman_and_testpy_dfn
425
Jiaxun Yangacc795b2024-06-18 14:56:11 +0100426qemu-xtensa-dc233c test.py:
427 variables:
428 TEST_PY_BD: "qemu-xtensa-dc233c"
429 TEST_PY_TEST_SPEC: "not sleep and not efi"
430 <<: *buildman_and_testpy_dfn
431
Marek Vasutfc5a9d72020-09-14 21:55:58 +0200432r2dplus_i82557c test.py:
Marek Vasutfc5a9d72020-09-14 21:55:58 +0200433 variables:
434 TEST_PY_BD: "r2dplus"
435 TEST_PY_ID: "--id i82557c_qemu"
436 <<: *buildman_and_testpy_dfn
437
438r2dplus_pcnet test.py:
Marek Vasutfc5a9d72020-09-14 21:55:58 +0200439 variables:
440 TEST_PY_BD: "r2dplus"
441 TEST_PY_ID: "--id pcnet_qemu"
442 <<: *buildman_and_testpy_dfn
443
444r2dplus_rtl8139 test.py:
Marek Vasutfc5a9d72020-09-14 21:55:58 +0200445 variables:
446 TEST_PY_BD: "r2dplus"
447 TEST_PY_ID: "--id rtl8139_qemu"
448 <<: *buildman_and_testpy_dfn
449
450r2dplus_tulip test.py:
Marek Vasutfc5a9d72020-09-14 21:55:58 +0200451 variables:
452 TEST_PY_BD: "r2dplus"
453 TEST_PY_ID: "--id tulip_qemu"
454 <<: *buildman_and_testpy_dfn
455
Bin Meng0ae41062021-08-26 23:33:35 +0800456sifive_unleashed_sdcard test.py:
457 variables:
458 TEST_PY_BD: "sifive_unleashed"
459 TEST_PY_ID: "--id sdcard_qemu"
460 <<: *buildman_and_testpy_dfn
461
462sifive_unleashed_spi-nor test.py:
463 variables:
464 TEST_PY_BD: "sifive_unleashed"
465 TEST_PY_ID: "--id spi-nor_qemu"
466 <<: *buildman_and_testpy_dfn
467
Michal Simekf8834fd2020-02-13 15:03:29 +0100468xilinx_zynq_virt test.py:
Tom Rinid2244b92019-06-19 09:25:17 -0400469 variables:
Michal Simekf8834fd2020-02-13 15:03:29 +0100470 TEST_PY_BD: "xilinx_zynq_virt"
Tom Rinid2244b92019-06-19 09:25:17 -0400471 TEST_PY_TEST_SPEC: "not sleep"
Tom Rinid2244b92019-06-19 09:25:17 -0400472 TEST_PY_ID: "--id qemu"
Tom Rinid2244b92019-06-19 09:25:17 -0400473 <<: *buildman_and_testpy_dfn
474
475xilinx_versal_virt test.py:
Tom Rinid2244b92019-06-19 09:25:17 -0400476 variables:
477 TEST_PY_BD: "xilinx_versal_virt"
478 TEST_PY_TEST_SPEC: "not sleep"
Tom Rinid2244b92019-06-19 09:25:17 -0400479 TEST_PY_ID: "--id qemu"
Tom Rinid2244b92019-06-19 09:25:17 -0400480 <<: *buildman_and_testpy_dfn
481
482xtfpga test.py:
Tom Rinid2244b92019-06-19 09:25:17 -0400483 variables:
484 TEST_PY_BD: "xtfpga"
485 TEST_PY_TEST_SPEC: "not sleep"
Tom Rinid2244b92019-06-19 09:25:17 -0400486 TEST_PY_ID: "--id qemu"
Tom Rinid2244b92019-06-19 09:25:17 -0400487 <<: *buildman_and_testpy_dfn
Simon Glass13e1fa02022-01-21 10:23:01 -0700488
489coreboot test.py:
490 variables:
491 TEST_PY_BD: "coreboot"
492 TEST_PY_TEST_SPEC: "not sleep"
493 TEST_PY_ID: "--id qemu"
Simon Glass13e1fa02022-01-21 10:23:01 -0700494 <<: *buildman_and_testpy_dfn